<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>ShopBDS Project Details</title>

  <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css">

  <!-- Các file css tự định nghĩa thêm -->
  <link rel="stylesheet" href="style.css">
</head>

<body id="page-top">
  <!-- Navigation - Menu bar-->
  <nav class="navbar navbar-expand-lg fixed-top" id="mainNav">
    <div class="container">
      <a class="navbar-brand" href="index.html"><img src="images/logo.png" class="w-75"></a>
      <input type="checkbox" id="check">
      <label for="check">
        <i class="fas fa-bars" id="menu-bar-click"></i>
        <i class="fas fa-times" id="menu-bar-cancel"></i>
      </label>
      <ul class="navbar-nav ml-auto">
        <li class="nav-item pt-1 align-self-center"><a
            class="nav-link text-danger font-weight-bold px-4 to-slideshow-example" href="#">HOME</a>
        </li>
        <li class="nav-item pt-1 align-self-center"><a
            class="nav-link text-danger font-weight-bold px-4 to-property-content" href="#">DETAILS PROJECT</a>
        </li>
        <li class="nav-item pt-1 align-self-center"><a class="nav-link text-danger font-weight-bold px-4 to-utility"
            href="#">SHOPBDS</a></li>
        <li class="nav-item pt-1 align-self-center"><a class="nav-link text-danger font-weight-bold px-4 to-contact-us"
            href="#">CONTACT</a></li>
        <li class="nav-item dropdown pt-1 align-self-center">
          <a class="nav-link px-4" data-toggle="dropdown">
            <span class="fa-stack fa-1x pl-2">
              <i class="fas fa-circle fa-stack-2x icon-background"></i>
              <i class="fa-solid fa-user fa-stack-1x"></i>
            </span>
            <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
              <div class="text-center mt-1">
                <button class="btn btn-primary" id="btn-log-in"><i class="fa-solid fa-right-to-bracket"></i> Log
                  in</button>
              </div>
              <div class="text-center mt-1">
                <button class="btn btn-danger" id="btn-log-out"><i class="fa-solid fa-right-from-bracket"></i> Log
                  out</button>
              </div>
            </div>
          </a>
        </li>
      </ul>
    </div>
    <button class="btn btn-warning" hidden id="btn-admin">ADMIN</button>
  </nav>
  <!-- 2. Slide body -->
  <div id="slideshow-example" data-component="slideshow" class="header-slideshow">
    <div role="list">
      <div class="slide">
        <img src="images/home5.jpg" width="100%" height="500px" alt="">
      </div>
      <div class="slide">
        <img src="images/home7.png" width="100%" height="500px" alt="">
      </div>
      <div class="slide">
        <img src="images/home8.jpg" width="100%" height="500px" alt="">
      </div>
      <div class="slide">
        <img src="images/home9.jpg" width="100%" height="500px" alt="">
      </div>
      <div class="slide">
        <img src="images/home10.jpg" width="100%" height="500px" alt="">
      </div>
    </div>
  </div>

  <!-- 3. Property content -->
  <div class="container-fluid mb-5 paddding-navbar" id="property-content">
    <div class="container py-5">
      <div class="text-center mb-5">
        <h2 class="title-text-color">Chi tiết dự án</h2>
      </div>
      <div class="row" id="real-estate-project">

      </div>
    </div>
  </div>

  <!-- 3. dp-upside -->
  <div class="container paddding-navbar">
    <h2 class="title-text-color text-center border-top p-3">NHỮNG ƯU ĐIỂM SẢN PHẨM CỦA SHOPBDS</h2>
    <div class="text-center mt-3 mb-5">

    </div>
    <div class="row mt-3 mb-5">
      <div class="col-sm-6 pr-3 align-self-center">
        <img src="images/about1.png" width="100%" id="img-about">
      </div>
      <div class="col-sm-6">
        <div class="row form-group mt-4">
          <div class="col-sm-2 align-self-center">
            <img src="images/icons/doller.png">
          </div>
          <div class="col-sm-10">
            <h3>DỄ DÀNG SỞ HỮU</h3>
            <p>Có nhiều mức giá phù hợp với lựa chọn của khách hàng. Với mức giá cực kỳ tốt và được đánh giá là
              cực "hời" dành cho các nhà đầu tư.</p>
          </div>
        </div>
        <div class="row form-group mt-5">
          <div class="col-sm-2 align-self-center">
            <img src="images/icons/location.png">
          </div>
          <div class="col-sm-10">
            <h3>DỰ ÁN VÀNG</h3>
            <p>Những dự án nằm tại những vị trí vàng. Nằm cạnh phân khu thấp tầng view không bị che chắn, tạo không
              gian hài hòa với thiên nhiên.</p>
          </div>
        </div>
        <div class="row form-group mt-5">
          <div class="col-sm-2 align-self-center">
            <img src="images/icons/trusted.png">
          </div>
          <div class="col-sm-10">
            <h3>CHẤT LƯỢNG DỰ ÁN</h3>
            <p>Làm việc với những CĐT có uy tín lớn trên quốc gia. Với sự giám sát xây dựng chặt chẽ từ CĐT và cùng
              đội ngũ nhà thầu chính</p>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- 4. Tiện ích -->
  <div class="container paddding-navbar" id="utility">
    <h2 class="title-text-color text-center border-top p-3">LÝ DO NÊN CHỌN <img id="img-logo" src="images/logo.png"
        class="w-25"></h2>
    <div class="row">
      <div class="col-sm-4">
        <h6 class="mb-4"><i class="fa-solid fa-star" style="color: yellow"></i> &nbsp; Đội ngũ nhân viên có chuyên môn
          cao,
          tư vấn tận tình.</h6>
        <h6 class="mb-4"><i class="fa-solid fa-star" style="color: yellow"></i> &nbsp; Sản phẩm có pháp lý rõ ràng, minh
          bạch.</h6>
        <h6 class="mb-4"><i class="fa-solid fa-star" style="color: yellow"></i> &nbsp; Hỗ trợ trả góp lãi suất ưu đãi,
          thủ tục nhanh gọn.</h6>
        <h6 class="mb-4"><i class="fa-solid fa-star" style="color: yellow"></i> &nbsp; Miễn phí hủy cọc lần đầu.</h6>
        <h6 class="mb-4"><i class="fa-solid fa-star" style="color: yellow"></i> &nbsp; Cập nhật sản phẩm nhanh nhất thị
          trường.</h6>
        <h6 class="mb-4"><i class="fa-solid fa-star" style="color: yellow"></i> &nbsp; Tặng kèm nội thất khi mua nhà.
        </h6>
      </div>
      <div class="col-sm-8 align-self-center">
        <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
          <ol class="carousel-indicators">
            <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
            <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
            <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
            <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
          </ol>
          <div class="carousel-inner">
            <div class="carousel-item active">
              <img class="d-block w-100" src="images/utilities/uti1.jpg" alt="First slide" width="70%" height="400px">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="images/utilities/uti2.jpg" alt="Second slide" width="70%" height="400px">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="images/utilities/uti3.jpg" alt="Third slide" width="70%" height="400px">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="images/utilities/uti4.jpg" alt="Forth slide" width="70%" height="400px">
            </div>
          </div>
          <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="sr-only">Previous</span>
          </a>
          <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="sr-only">Next</span>
          </a>
        </div>
      </div>
    </div>
  </div>

  <!-- reqCounseling modal -->
  <div id="modal-requestCounseling" class="modal fade" tabindex="-1">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header bg-primary">
          <h5 class="modal-title">Đăng ký để được tư vấn tốt nhất</h5>
          <button class="close" data-dismiss="modal">&times;</button>
        </div>
        <div class="modal-body">
          <div class="row ">
            <div class="col-sm-4 mt-2">
              <h5>Họ & tên</h5>
            </div>
            <div class="col-sm-8">
              <input id="input-fullname" type="text" class="form-control" placeholder="Họ & tên">
            </div>
          </div>
          <div class="row">
            <div class="col-sm-4 mt-2">
              <h5>Email</h5>
            </div>
            <div class="col-sm-8">
              <input id="input-email" type="text" class="form-control" placeholder="Email">
            </div>
          </div>
          <div class="row">
            <div class="col-sm-4 mt-2">
              <h5>Phone</h5>
            </div>
            <div class="col-sm-8">
              <input id="input-phone" type="text" class="form-control" placeholder="Số điện thoại">
            </div>
          </div>
          <div class="row">
            <div class="col-sm-4 mt-2">
              <h5>Lời nhắn</h5>
            </div>
            <div class="col-sm-8">
              <textarea id="input-message" type="text" class="form-control" rows="3"
                placeholder="Nội dung lời nhắn"></textarea>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button class="rainbow rainbow-1" id="btn-reqCounseling"><b>ĐĂNG KÝ</b></button>
          <button class="btn btn-secondary" id="btn-update-cancel" data-dismiss="modal">Cancel</button>
        </div>
      </div>
    </div>
  </div>

  <!-- 6. footer -->
  <footer class="footer py-4" id="footer-content">
    <div class="container">
      <div class="row align-items-center">
        <div class="col-sm-3"><a class="navbar-brand" href="index.html"><img id="img-logo" src="images/logo.png"
              class="w-75"></a></div>
        <div class="col-sm-6 my-3">
          <h5 class="mt-2 ml-3">Công ty TNHH shopBDS</h5><br>
          <a class="mx-2 mt-2 ml-3" href="#">Địa chỉ: 36 Hậu Giang phường 2 quận 6, tpHCM</a><br>
          <a class="mx-2 mt-2 ml-3" href="#">Call/Zalo: 0909887249</a><br>
          <a class="mx-2 mt-2 ml-3" href="#">Email: shopBDS@gmail.com</a>
        </div>
        <div class="col-sm-3 mt-2 ">
          <button class="mx-2 mt-2 ml-3 btn btn-danger" href="#" id="box-request-counseling">Đăng ký tư vấn</button>
        </div>
      </div>
    </div>
  </footer>


</body>

<script>

  var slideshows = document.querySelectorAll('[data-component="slideshow"]');
  slideshows.forEach(initSlideShow);

  function initSlideShow(slideshow) {

    var slides = document.querySelectorAll(`#${slideshow.id} [role="list"] .slide`);

    var index = 0, time = 3000;
    slides[index].classList.add('active');

    setInterval(() => {
      slides[index].classList.remove('active');

      index++;
      if (index === slides.length) index = 0;

      slides[index].classList.add('active');

    }, time);
  };

  $(document).ready(function () {

    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const token = getCookie("token");

    var gRole;
    var gClick = 0;

    if (token != "") {
      $("#btn-log-in").hide();
    };
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    onPageLoading();

    $(".to-slideshow-example").click(function () {
      $('html, body').animate({
        scrollTop: $("#slideshow-example").offset().top
      }, 1000);
    });

    $(".to-property-content").click(function () {
      $('html, body').animate({
        scrollTop: $("#property-content").offset().top
      }, 1000);
    });

    $(".to-contact-us").click(function () {
      $('html, body').animate({
        scrollTop: $("#footer-content").offset().top
      }, 1000);
    });

    $(".to-utility").click(function () {
      $('html, body').animate({
        scrollTop: $("#utility").offset().top
      }, 1000);
    });

    //Set sự kiện cho nút login
    $("#btn-log-in").on("click", function () {
      window.location.href = "../AdminFrontEnd/index.html";
    });

    //Set sự kiện cho nút logout
    $("#btn-log-out").on("click", function () {
      redirectToLogin();
    });

    // gán sự kiện cho nút admin khi role thỏa
    $('#btn-admin').on('click', onBtnAdminClick);

    // gán xự kiện lấy data của realEstate
    $("#real-estate-project").on("click", ".detail-real-estate", function () {
      onDetailRealEstateClick(this);
    });

    // gán xự kiện lấy data của realEstate
    $("#real-estate-project").on("click", ".detail-real-estate1", function () {
      onDetailRealEstate1Click(this);
    });

    $('#box-request-counseling').on('click', function () {
      $('#modal-requestCounseling').modal("show");
    });

    // gán sự kiện khi click đăng ký tư vấn
    $('#btn-reqCounseling').on('click', onBtnReqCounselingClick);

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {
      "use strict";
      callApiGetUserIdByToken();
      if (gRole == 2 || gRole == 3) {
        $('#btn-admin').removeAttr("hidden");
      }
      //tạo đối tượng url để truy vấn tham số 
      var vUrlObject = new URL(window.location.href);
      // đưa tham số customerId sang bằng query string
      var vProjectId = vUrlObject.searchParams.get("projectId");
      if (vProjectId != null) {
        callApiGetRealEstateByProjectId(vProjectId);
      } else {
        alert("Không có dữ liệu ProjectId.");
        window.location.href = "index.html";
      }
    }

    function onBtnAdminClick() {
      if (gRole == 2) {
        window.location.href = "../AdminFrontEnd/realestate.html";
      }
      else if (gRole == 3) {
        window.location.href = "../AdminFrontEnd/realestate1.html";
      }
    }

    function onDetailRealEstateClick(paramDetail) {
      "use strict";
      // B1: Thu thập dữ liệu
      var vValue = $(paramDetail).children('input').val();
      //console.log(vValue);
      // B2: Kiểm tra dữ liệu (bỏ qua)
      // B3: xử lý hiển thị dữ liệu
      const vPROPERTIES_DETAILS_URL = "properties-details.html";
      window.location.href = vPROPERTIES_DETAILS_URL + "?" + "realEstateId=" + vValue;
    }

    function onDetailRealEstate1Click(paramDetail) {
      "use strict";
      // B1: Thu thập dữ liệu
      var vValue = $(paramDetail).children('input').val();
      //console.log(vValue);
      // B2: Kiểm tra dữ liệu (bỏ qua)
      // B3: xử lý hiển thị dữ liệu
      const vPROPERTIES_DETAILS_URL = "properties-details.html";
      window.location.href = vPROPERTIES_DETAILS_URL + "?" + "realEstateId=" + vValue;
    }

    function onBtnReqCounselingClick() {
      var vReqObj = {
        fullname: "",
        email: "",
        phoneNum: "",
        message: ""
      };
      vReqObj.fullname = $('#input-fullname').val();
      vReqObj.email = $('#input-email').val();
      vReqObj.phoneNum = $('#input-phone').val();
      vReqObj.message = $('#input-message').val();
      var vIsCheck = validateData(vReqObj);
      if (vIsCheck == true) {
        // console.log(vReqObj);
        callApiPostNewReqCounseling(vReqObj);
        $('#input-fullname').val("");
        $('#input-email').val("");
        $('#input-phone').val("");
        $('#input-message').val("");
        $('#modal-requestCounseling').modal("hide");
      }
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    // Hàm gọi api lấy dữ liệu BĐS bằng Id
    function callApiGetRealEstateByProjectId(paramProjectId) {
      "use strict";
      $.ajax({
        url: "http://localhost:8080/realEstates/project/" + paramProjectId,
        method: "GET",
        async: false,
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          getRealEstateFromProject(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
          alert("Không có dự án");
        }
      });
    }

    // Hàm lấy danh sách các realestate
    function getRealEstateFromProject(paramRealEstateList) {
      "use strict";
      console.log(paramRealEstateList);
      $("#real-estate-project").html("");
      var vRealEstate = "";
      for (let bI = 0; bI < paramRealEstateList.length; bI++) {
        vRealEstate += `
        <div class="col-sm-4">
        <div class="container">
          <div class="item-list">
            <div class="item item-1">
              <div class="img"><a href="javascript:;">
                  <div class="like"><i class="fa fa-heart" aria-hidden="true"></i></div></a>
                <div class="img-content"><img src="` + paramRealEstateList[bI].photo + `"/></div>
              </div>
              <div class="social"><a href="javascript:;">
                  <div class="fb"><i class="fa-brands fa-facebook" aria-hidden="true"></i></div></a><a href="javascript:;">
                  <div class="ig"><i class="fa-brands fa-instagram" aria-hidden="true"></i></div></a><a href="javascript:;">
                  <div class="tw"><i class="fa-solid fa-phone" aria-hidden="true"></i></div></a></div>
              <div class="text-container">
                <h2 class="title">` + paramRealEstateList[bI].apartCode + `</h2>
                <p>Tiêu đề: ` + paramRealEstateList[bI].title + `</p>
                <p>Address: ` + paramRealEstateList[bI].project.address + `</p>
                <p><i class="fa-regular fa-square"></i> &nbsp; ` + paramRealEstateList[bI].acreage + ` m2
                  &nbsp; <i class="fa-solid fa-bed"></i> &nbsp; ` + paramRealEstateList[bI].bedroom + `
                  &nbsp; <i class="fa-solid fa-bed"></i> &nbsp; ` + paramRealEstateList[bI].bath + `</p>
                <h5 class="text-danger"> ` + paramRealEstateList[bI].price + `&nbsp; <i class="fa-solid fa-dollar-sign"></i></h5>
              </div>
            </div>
            </div>
          </div>
        </div>`;
        $("#real-estate-project").html(vRealEstate);
      }
    };

    function redirectToLogin() {
      // Trước khi logout cần xóa token đã lưu trong cookie
      setCookie("token", "", 1);
      window.location.href = "../AdminFrontEnd/index.html";
    }

    //Hàm get Cookie
    function getCookie(cname) {
      var name = cname + "=";
      var decodedCookie = decodeURIComponent(document.cookie);
      var ca = decodedCookie.split(';');
      for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == ' ') {
          c = c.substring(1);
        }
        if (c.indexOf(name) == 0) {
          return c.substring(name.length, c.length);
        }
      }
      return "";
    }

    //Hàm setCookie đã giới thiệu ở bài trước
    function setCookie(cname, cvalue, exdays) {
      var d = new Date();
      d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
      var expires = "expires=" + d.toUTCString();
      document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
    }

    function callApiGetUserIdByToken() {
      $.ajax({
        url: "http://localhost:8080/findUserId/Token",
        type: 'GET',
        dataType: "json",
        async: false,
        contentType: "application/json; charset=utf-8",
        headers: {
          "Authorization": "Token " + token,
        },
        success: function (responseObject) {
          //console.log(responseObject);
          callApiGetEmployeeByID(responseObject);
        },
        error: function (pAjaxContext) {
          //redirectToLogin();
        }
      });
    };

    // Hàm gọi api lấy dữ liệu employee bằng id
    function callApiGetEmployeeByID(paramEmployeeId) {
      $.ajax({
        url: "http://localhost:8080/employees/" + paramEmployeeId,
        method: "GET",
        async: false,
        success: function (paramResponseObj) {
          // console.log(paramResponseObj);
          gRole = paramResponseObj.roles[0].id;
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    function validateData(paramObj) {
      var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
      if (paramObj.fullname == "") {
        alert("Bạn phải nhập Họ tên!");
        return false;
      }
      if (paramObj.email == "") {
        alert("Bạn phải nhập Email!");
        return false;
      }
      if (!regex.test(paramObj.email)) {
        alert("Email không đúng định dạng!");
        return false;
      }
      if (paramObj.phoneNum == "") {
        alert("Bạn phải nhập Số điện thoại!");
        return false;
      }
      return true;
    }

    function callApiPostNewReqCounseling(paramObj) {
      $.ajax({
        url: "http://localhost:8080/reqCounseling",
        method: "POST",
        async: false,
        contentType: "application/json;charset=UTF-8",
        data: JSON.stringify(paramObj),
        success: function (res) {
          console.log(res);
          alert("Gửi yêu cầu tư vấn thành công!");
        },
        error: function (paramError) {
          console.log(paramError);
          alertError("Gửi yêu cầu tư vấn không thành công!");
        }
      });
    }
  });

</script>

</html>